# &kde;:s användarhandbok

2008-10-03
0.01.01
meinproc4
8

# `meinproc4`

&kde;:s översättare av XML

## Översikt

    meinproc4 --help Allmänna väljare Qt-väljare KDE-väljare --cache fil --check --htdig --srcdir --param nyckel=värde   -o --output   fil  --stdout --stylesheet xsl docbook_fil

## Beskrivning

`meinproc4` konverterar DocBook-filer till HTML.

## Allmänna väljare

`--author`

  Visa information om upphovsman.

`--help`

  Visa hjälp om väljare.

`--help-all`

  Visa alla väljare.

`--help-kde`

  Visa KDE-specifika väljare.

`--help-qt`

  Visa Qt-specifika väljare.

`--license`

  Visa licensinformation.

`-v``--version`

  Visa versionsinformation

## Programväljare

`--cache` `fil`

  Skapa en cachefil för dokumentet

`--check`

  Kontrollera att dokumentet är giltigt

      Utmatningen kan vara något skrämmande, eftersom ett litet misstag kan orsaka en kaskad av fel.
      Tricket är att titta på det första felet, rätta det, spara filen och köra meinproc4 igen.

`--htdig`

  Skapa ett index som fungerar med ht:/dig

`-o`, `--output` `fil`

  Skriv ut hela dokumentet i `fil`.

`--stdout`

  Skriv ut hela dokumentet på standardutmatningen.

`--stylesheet` `xsl`

  Stilmall att använda

`--srcdir` `kat`

  Ställ in rotkatalogen för att leta efter kdelibs

`--param` nyckel=värde

  Ställ in parametrar att skicka till stilmallen.

## Användning

Det vanligaste sättet att köra `meinproc4` är helt enkelt som

    meinproc4 docbook-fil

där docbook-fil oftast är index.docbook. Kommandot skapar HTML-sidor från DocBook-filen. Observera att sidorna bara går att titta på i KDE-baserade webbläsare (som Konqueror).

Om du behöver visa HTML-utmatningen i en annan webbläsare (om du till exempel gör den direkt tillgänglig på nätet), använd

    meinproc4 --stylesheet stilmallsnamn docbook-fil

där stilmallsnamn är den fullständiga sökvägen till en av XSL-stilmallarna i $KDEDIR/share/apps/ksgmltools/customization. För att skapa utmatning lämplig för webben, kan du använda `kde-web.xsl` eller `kde-chunk-online.xsl`. Se filen README i den katalogen för mer detaljerad information.

## Se också

kdeoptions(7), qtoptions(7)

## Fel

Det finns troligen en massa fel. Använd bugs.kde.org för att rapportera dem.